gnutls_x509_crq_set_subject_alt_name(3)

NAME
gnutls_x509_crq_set_subject_alt_name - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_subject_alt_name(gnutls_x509_crq_t crq, gnutls_x509_subject_alt_name_t nt, const void * data, unsigned int data_size, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    a certificate request of type gnutls_x509_crq_t

gnutls_x509_subject_alt_name_t nt
    is one of the gnutls_x509_subject_alt_name_t enumerations

const void * data
    The data to be set

unsigned int data_size
    The size of data to be set

unsigned int flags
    GNUTLS_FSAN_SET to clear previous data or GNUTLS_FSAN_APPEND to append.

DESCRIPTION
This function will set the subject alternative name certificate extension. It can set the following types:

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/